<? session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");

	$accion=$_REQUEST["accion"];
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select fechai,nombres,nombres1,apellidos,apellidos1,cargo,smes, departamento,nomina from personal where codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	$tiponomina=$row['nomina'];
	//menu();
	echo "<html><head>
		<title>[ SAIREH ]</title>
	<script language='javascript' src='fscript.js'></script>
		<link rel='stylesheet' type='text/css' href='styles.css' />
		<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>

		<link href='css-mag/bootstrap.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/style.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/slider.css' rel='stylesheet' type='text/css' media='all'/>
<link href='css-mag/nav.css' rel='stylesheet' type='text/css' media='all'/>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700,800,900' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300:700' rel='stylesheet' type='text/css'>
</head>
		<body>";
	echo " <div id='loginBox'>
					<form id='loginForm'>
						<div class='search_box'>
							<input type='text' value='Search' onfocus='this.value = '';' onblur='if (this.value == '') {this.value = 'Search';}'>
							<input type='submit' value=''>
						</div>
					</form>
				</div>
				</div>
			</div>
			</div>
			<div class='clearfix'></div>
		</div>
		</div>
	</div>

	<div class='header_bottom'>
			<div class='container'>
			<div class='logo'>
				<img src='img2/logo_saireh V 4_5_1-190x79.png'>
			</div>
				<img style='width:100%; height:auto;' src='img2/slider.jpg'></br></br>
				<br>";


	echo "<center><h3>INFORME DE SALDOS DETALLADOS DEL FONDO DE AHORROS</h3></center>";
	echo"<center><input type='button' name='imprimir' value='Imprimir P&aacute;gina' onclick='window.print();'></center>";
	echo "<center><img src='img2/administrator.png'><font color=black size=5>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";


	//--------MOSTRAR DATOS PERSONALES
		//================== buscar cargo
	$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$car=$rowf['detalle'];

	//================== buscar departamento
	$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$dep=$rowf['detalle'];

	//================== mostrar datos personales
	//echo "<font face=verdana>";
	echo "<table cellpadding=5 cellspacing=5 align=center>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;' width=250> C&eacute;dula de Identidad:</td><td width=250>".$cedula."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Nombres del Trabajador:</td><td>".trim($row['nombres'])." ".trim($row['nombres1'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Apellidos del Trabajador:</td><td>".trim($row['apellidos'])." ".trim($row['apellidos1'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Fecha de Ingreso:</td><td>".mostrar_fecha($row['fechai'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Ult. Sueldo Mensual:</td><td>".number_format($row['smes'],2)."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Cargo del Trabajador:</td><td>".$car."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Departamento de Trabajo:</td><td>".$dep."</td>";
	echo "</tr>";
	echo "</table><br>";
	echo "</font>";





	//============ mostrar informe
	$consultaI="select * from  fondo_ahorros where cedula='".$_REQUEST['cedula']."' order by periodo";
	$resultadoI = mysqli_query($enlace,$consultaI) or die($consultaI . mysqli_error($enlace));


	$consultaP="select * from  prestamo where cedula='".$_REQUEST['cedula']."' AND fondo_ahorro='SI' AND saldo > '0' ";
	$resultadoP = mysqli_query($enlace,$consultaP) or die($consultaP . mysqli_error($enlace));
	$rowP=mysqli_fetch_array($resultadoP);
	$SaldoPrestamo = $rowP['saldo'];


	$contadorA = 0 ;
    $num_rows = mysqli_num_rows($resultadoI);
    echo "<table border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#464D77' >";
				echo "<th align = left width='150'><font color='#fff'> Fecha de Abono </font></th>";
				echo "<th align = left width='100'><font color='#fff'> Aporte Ord.(+) </font></th>";
				echo "<th align = left width='100'><font color='#fff'> Devol Apo. Ord.(-). </font></th>";
				echo "<th align = left width='100'><font color='#fff'> Acum. Ord.(=). </font></th>";
				echo "<th align = left width='100'><font color='#fff'> Aporte Volun.(+) </font></th>";
				echo "<th align = left width='100'><font color='#fff'> Devol Apo. Vol.(-) </font></th>";
				echo "<th align = right width='100'><font color='#fff'> Acum. Volun.(=) </font></th>";
				echo "<th align = right width='100'><font color='#fff'> Aporte Empresa (+)</font></th>";
				echo "<th align = right width='100'><font color='#fff'> Pago Apo. Empr.(-)</font></th>";
				echo "<th align = right width='100'><font color='#fff'> Acum. Ap. Empr.(=)</font></th>";
				echo "<th align = right width='100'><font color='#fff'> Dividendos (+)</font></th>";
				echo "<th align = right width='100'><font color='#fff'> Pago Divid. (-)</font></th>";
				echo "<th align = right width='100'><font color='#fff'> Acum. Divid.(=) </font></th>";
				echo "<th align = right width='100'><font color='#fff'> Acum. Reserva 10% </font></th>";
				echo "<th align = right width='100'><font color='#fff'> Acumulado total FA</font></th>";
			echo "</tr>";

    if ($num_rows != 0){
			$acumTotalFA = 0;
			for ($cont=0;$cont<$num_rows;$cont++) {
				$rowI=mysqli_fetch_array($resultadoI);

				$contadorA = $rowI['aporte_ordinario'] - $rowI['pago_ordinario'] + $contadorA;
				$contadorV = $rowI['aporte_voluntario'] - $rowI['pago_voluntario'] + $contadorV;
				$contadorE = $rowI['aporte_empresa'] - $rowI['pago_aporte_empresa'] + $contadorE;
				$contadorD = $rowI['dividendos'] - $rowI['pago_dividendos'] + $contadorD;
				$reserva = $rowI['reserva'];
				$contadorR = $rowI['reserva'] + $contadorR;
				$saldoFondoAhorros = $contadorA + $contadorV + $contadorE + $contadorD + $contadorR ;

				$acumTotalFA = $saldoFondoAhorros;
				$disponibleFa = $contadorA + $contadorV + $contadorE + $contadorD;
				$contadorDias = $rowI['dias_pagar'] + $contadorDias;
				 echo "<tr bgcolor='white' >";
					echo "<th align=right><font color='#000'>".$rowI['fecha_hasta']."</font></th>";


					echo "<th align = right><font color='blue'>".number_format($rowI['aporte_ordinario'],2,',','.')."</font></th>";
					echo "<th align = right><font color='red'>".number_format($rowI['pago_ordinario'],2,',','.')."</font></th>";
					echo "<th align = right bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorA,2,',','.') ."</font></th>";


					echo "<th align = right><font color='blue'>".number_format($rowI['aporte_voluntario'],2,',','.') ."</font></th>";
						echo "<th align = right><font color='red'>".number_format($rowI['pago_voluntario'],2,',','.') ."</font></th>";
					echo "<th align = right bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorV,2,',','.') ."</font></th>";



					echo "<th align = right><font color='blue'>".number_format($rowI['aporte_empresa'],2,',','.') ."</font></th>";
					echo "<th align = right><font color='red'>".number_format($rowI['pago_aporte_empresa'],2,',','.') ."</font></th>";
					echo "<th align = right bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorE,2,',','.') ."</font></th>";



					echo "<th align = right><font color='blue'>".number_format($rowI['dividendos'],2,',','.') ."</font></th>";
					echo "<th align = right><font color='red'>".number_format($rowI['pago_dividendos'],2,',','.') ."</font></th>";
					echo "<th align = right bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorD,2,',','.') ."</font></th>";



					echo "<th align = right><font color='blue'>".number_format($contadorR,2,',','.') ."</font></th>";
					echo "<th align = right bgcolor='#a5f0ff'><font color='#000'>".number_format($saldoFondoAhorros,2,',','.')."</font></th>";
				echo "</tr>";
			}
			echo '</table>';

			echo "<br>";
			echo "<table border=0 cellpadding=2 cellspacing=0 align='right'>";
				echo "<tr>";
					echo "<th align = 'right' style='text-align: right'><font color='#000'> Saldo Prestamo: ".number_format($SaldoPrestamo,2,',','.')."</font></th>";
				echo "</tr>";
				echo "<tr>";
					echo "<th align = 'right' style='text-align: right'><font color='#000'> Saldo Total: ".number_format($acumTotalFA - $SaldoPrestamo,2,',','.')."</font></th>";
				echo "</tr>";

				echo "<tr>";
					echo "<th align = 'right' style='text-align: right'><font color='#000'> Saldo Disponible = 80%Acum - prestamo - reserva: ".number_format($disponibleFa*0.8 - $SaldoPrestamo,2,',','.')."</font></th>";

				echo "</tr>";

			echo '</table>';
			echo "<br><br><br>";

	}

	//============ datos inicializando
	$fec11x = $fec1;
	$fec22x = $fec2;
	$fec11 = substr($fec1,0,7);
	$fec22 = substr($fec2,0,7);
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0;
	$acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;$interesganados=0;
	$cuantosmeses=0;

	//=============totalizar otras columnas
	$acumintpag=0;
	$acumanticp=0;

	//============ datos de sueldo
	$consulta=mysqli_query($enlace,"select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
	$row=mysqli_fetch_array($consulta);
	if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];


		//===========Agregado para calcular el trimestre
	$fec11 = $fec1;
	$fec22 = $fec2;

	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
		$_POST['tipo_salida']=2;
		include("proceso_prestaciones.php");
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
	/*
	echo "<tr bgcolor='#43bced'>";
		echo "<td colspan=3>&nbsp;</td>";
		echo "<td align=right>".number_format($tdias,0)."</td>";
		echo "<td colspan=5>&nbsp;</td>";
		echo "<td align=right>".number_format($prestaciones,2)."</td>";
		echo "<td align=right>".number_format($acumanticp,2)."</td>";
		echo "<td>&nbsp;</td>";

		echo "<td>&nbsp;</td>";
		echo "<td align=right>".number_format($interesganados,2)."</td>";
		echo "<td align=right>".number_format($acumintpag,2)."</td>";
	echo "</tr>";	*/

	echo "</table>";
	echo "<br><br><br><br>";
?>
